Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158625 - Sticky Notes 2.10.1 always 'On Top'
Summary: Sticky Notes 2.10.1 always 'On Top'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-applets
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 12:41 UTC by Patrick C. F. Ernzer
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-27 05:08:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 171011 None None None Never

Description Patrick C. F. Ernzer 2005-05-24 12:41:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
in FC3 and previous, Sticky Notes did not get the 'On Top' window manager attribute set amd I quite liked it that way.

In FC4 test3, the sticky notes have 'On Top' set when the applet starts, even if I unset that setting with the ALT-SPACE menu in a previous session.

Whatsmore, Sticky Notes 2.10.1 has no preference to avoid that behaviour

Version-Release number of selected component (if applicable):
gnome-applets-2.10.1-8

How reproducible:
Always

Steps to Reproduce:
1. have a lot of sticky notes
2. use Sticky Notes 2.10.1
3. Have all your windows covered with sticky notes
4. do ALT-SPACE on each note and deselect 'On Top'
5. log out of gnome and back in

Actual Results:  All Sticky Notes are 'On Top' again

Expected Results:  either a setting in the preferences or reteining of the window setting for each note

Additional info:

Comment 1 Ray Strode [halfline] 2005-05-24 14:59:02 UTC
Hi Patrick,

It's not entirely clear to me which behavior is best.  I think we should go with
whatever upstream decides.  Can you file the bug there at http://bugzilla.gnome.org?

Comment 2 Patrick C. F. Ernzer 2005-05-31 12:27:03 UTC
Ray,

looks like it is already filed (at least in the form of "retain 'on top
setting'") so if 171011 in gnome's bugzilla is fixed I'll be happy (i.e. can do
without the preference if settings are retained).

Comment 3 Ray Strode [halfline] 2005-05-31 14:41:17 UTC
Hi Patrick,
Great, I'll close this bug then and we'll wait on upstream.

Comment 4 Max Kanat-Alexander 2005-08-14 16:18:56 UTC
This isn't really a duplicate of that upstream bug. The problem here is that the
applet is automatically setting the "on top" bit for each window without a
preference to disable it.

The problem in the GNOME bug is that even if you manage to turn off the "on top"
bit on each sticky, that doesn't stick.

So those are different things.

Also, the alt-space menu isn't easily accessible for stickies, except by
pressing alt-space (which I didn't personally know to do until I read this).

I'd be willing to agree that this is an upstream bug, but not
http://bugzilla.gnome.org/show_bug.cgi?id=171011

I don't see any bugzilla.gnome.org bug that actually matches this one.

(Also, upstream hasn't shown any attention to that bug, which looks to have been
filed through bug-buddy or the email interface, meaning that it may never be
paid attention to.)

Comment 5 Matthias Clasen 2006-11-27 05:08:21 UTC
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component




Note You need to log in before you can comment on or make changes to this bug.